%define upstream_name    Data-Stream-Bulk
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    L<Path::Class::Dir> traversal
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose) >= 0.900.0
BuildRequires: perl(Path::Class)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(namespace::clean)
BuildArch:  noarch

%description
This module tries to find middle ground between one at a time and all at
once processing of data sets.

The purpose of this module is to avoid the overhead of implementing an
iterative api when this isn't necessary, without breaking forward
compatibility in case that becomes necessary later on.

The API optimizes for when a data set typically fits in memory and is
returned as an array, but the consumer cannot assume that the data set is
bounded.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 365467
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 23 2012 jquelin <jquelin> 0.110.0-1.mga2
+ Revision: 212744
- update to 0.11

* Tue Jan 25 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 38473
- mageia rebuild
- imported package perl-Data-Stream-Bulk

